Bug 244634 - yumex produces error on exit after updating
Summary: yumex produces error on exit after updating
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-18 09:03 UTC by vhemert
Modified: 2014-01-21 22:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 06:04:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error report (591 bytes, text/plain)
2007-06-18 09:06 UTC, vhemert
no flags Details

Description vhemert 2007-06-18 09:03:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20070530 Fedora/1.5.0.12-1.fc6 Firefox/1.5.0.12

Description of problem:
after updating system with yumex, dialog box says updates completed successfully with "Ok" button. after clicking "Ok" I clicked the x on the title bar to close the application, at the same time yumex was checking for more updates. yumex closed but produced an error.

Version-Release number of selected component (if applicable):
yumex-1.2.3

How reproducible:
Always


Steps to Reproduce:
1. use yumex to update the system
2. after packages are updated successfully click "ok"
3. after clicking "Ok" yumex began checking for more updates but I clicked on the x in the title bar to close the application

Actual Results:
yumex closed but with an error 

Expected Results:
application should close, or give an option to check for more updates as it takes a minute to read the repositories.

Additional info:
this problem may be with the yumex interface, I have not had a problem with the yum command.

Comment 1 vhemert 2007-06-18 09:06:53 UTC
Created attachment 157262 [details]
error report

Comment 2 Tim Lauridsen 2007-06-19 06:04:45 UTC
It is a know issue, yumex 1.2.x do some actions i a background Thread and it is
difficult, to exit the Thread nicely.
I have been redesigned in yumex 1.9.x, so to become yumex 2.0.0.
No plans to fix it yumex 1.2.x.


Note You need to log in before you can comment on or make changes to this bug.